public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/baselayout/
Date: Mon, 21 Aug 2023 22:47:26 +0000 (UTC)	[thread overview]
Message-ID: <1692658037.7d0228b796b1322e05ebc29a355d0f51d86edc37.williamh@gentoo> (raw)

commit:     7d0228b796b1322e05ebc29a355d0f51d86edc37
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 21 22:46:48 2023 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Aug 21 22:47:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d0228b7

sys-apps/baselayout: drop 2.13-r1

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 sys-apps/baselayout/Manifest                  |   1 -
 sys-apps/baselayout/baselayout-2.13-r1.ebuild | 367 --------------------------
 2 files changed, 368 deletions(-)

diff --git a/sys-apps/baselayout/Manifest b/sys-apps/baselayout/Manifest
index 8f24feb7c25e..91204109c0f5 100644
--- a/sys-apps/baselayout/Manifest
+++ b/sys-apps/baselayout/Manifest
@@ -1,2 +1 @@
-DIST baselayout-2.13.tar.bz2 29423 BLAKE2B a399e515297d3a936c5821205f1f0d6de844580099936be50e80a463b9fa6239aead52b7b371136680e263e326f7e6a1faea8cd8db0f11462cf0e8166707fc91 SHA512 ff16f20cf2c65258ab6d48c403607113f84fc57ffee6650652202746095f402f8c6a4f22040d0bb9310180945131bed6a0fda3717b39080a987e4f5224339095
 DIST baselayout-2.14.tar.bz2 30182 BLAKE2B c5f67795233e565c2c75c97a55c000aec98e901bb0a25f1aeb52b01b44d7c09bfc6e67813234629ca71ff32d603e82ada8e66e5ab6007fa0664b95367256320d SHA512 bffd118f5e92975b9247d854fc5683a311dbcd03efa37a13dfd05d04e92a6e784858d3a55aa689f782229afc5985e829eb332c08a79eed081bf0a47720ca7e8a

diff --git a/sys-apps/baselayout/baselayout-2.13-r1.ebuild b/sys-apps/baselayout/baselayout-2.13-r1.ebuild
deleted file mode 100644
index 8cc92f9d92cc..000000000000
--- a/sys-apps/baselayout/baselayout-2.13-r1.ebuild
+++ /dev/null
@@ -1,367 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit multilib prefix
-
-DESCRIPTION="Filesystem baselayout and init scripts"
-HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
-if [[ ${PV} = 9999 ]]; then
-	EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/${PN}.git"
-	inherit git-r3
-else
-	SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.bz2"
-	KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="build +split-usr"
-
-RDEPEND="!sys-apps/baselayout-prefix"
-
-riscv_compat_symlink() {
-	# Here we apply some special sauce for riscv.
-	# Two multilib layouts exist for now:
-	# 1) one level libdirs, (32bit) "lib" and (64bit) "lib64"
-	#    these are chosen by us to closely resemble other arches
-	# 2) two level libdirs, "lib64/lp64d" "lib64/lp64" "lib32/ilp32d" ...
-	#    this is the glibc/gcc default
-	# Unfortunately, the default has only one fallback, which is "lib"
-	# for both 32bit and 64bit. So things do not break in 1), we need
-	# to provide compatibility symlinks...
-
-	# This function has exactly two parameters:
-	# - the default libdir, to determine if 1) or 2) applies
-	# - the location of the symlink (which points to ".")
-
-	# Note: we call this only in the ${SYMLINK_LIB} = no codepath, since
-	# there never was a ${SYMLINK_LIB} = yes riscv profile.
-
-	case ${CHOST} in
-	riscv*)
-		# are we on a one level libdir profile? is there no symlink yet?
-		if [[ ${1} != */* && ! -L ${2} ]] ; then
-			ln -s . $2 || die "Unable to make $2 riscv compatibility symlink"
-		fi
-		;;
-	esac
-}
-
-# Create our multilib dirs - the Makefile has no knowledge of this
-multilib_layout() {
-	local dir def_libdir libdir libdirs
-	local prefix prefix_lst
-	def_libdir=$(get_abi_LIBDIR $DEFAULT_ABI)
-	libdirs=$(get_all_libdirs)
-
-	if [[ -z "${SYMLINK_LIB}" || ${SYMLINK_LIB} = no ]] ; then
-		prefix_lst=( "${EROOT}"/{,usr/,usr/local/} )
-		for prefix in "${prefix_lst[@]}"; do
-			for libdir in ${libdirs}; do
-				dir="${prefix}${libdir}"
-				if [[ -e "${dir}" ]]; then
-					[[ ! -d "${dir}" ]] &&
-						die "${dir} exists but is not a directory"
-					continue
-				fi
-				if ! use split-usr && [[ ${prefix} = ${EROOT}/ ]]; then
-					libdir="${libdir%%/*}"
-					dir="${prefix}${libdir}"
-					einfo "symlinking ${dir} to usr/${libdir}"
-					ln -s usr/${libdir} ${dir} ||
-						die "Unable to make ${dir} symlink"
-				else
-					einfo "creating directory ${dir}"
-					mkdir -p "${dir}" ||
-						die "Unable to create ${dir} directory"
-				fi
-			done
-			[[ -d "${prefix}${def_libdir}" ]] && riscv_compat_symlink "${def_libdir}" "${prefix}${def_libdir}/${DEFAULT_ABI}"
-		done
-		return 0
-	fi
-
-	[ -z "${def_libdir}" ] &&
-		die "your DEFAULT_ABI=$DEFAULT_ABI appears to be invalid"
-
-	# figure out which paths should be symlinks and which should be directories
-	local dirs syms exp d
-	for libdir in ${libdirs} ; do
-		if use split-usr ; then
-			exp=( {,usr/,usr/local/}${libdir} )
-		else
-			exp=( {usr/,usr/local/}${libdir} )
-		fi
-		for d in "${exp[@]}" ; do
-			# most things should be dirs
-			if [ "${SYMLINK_LIB}" = "yes" ] && [ "${libdir}" = "lib" ] ; then
-				[ ! -h "${d}" ] && [ -e "${d}" ] && dirs+=" ${d}"
-			else
-				[ -h "${d}" ] && syms+=" ${d}"
-			fi
-		done
-	done
-	if [ -n "${syms}${dirs}" ] ; then
-		ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB:-no}, so that means you need to"
-		ewarn "have these paths configured as follows:"
-		[ -n "${dirs}" ] && ewarn "symlinks to '${def_libdir}':${dirs}"
-		[ -n "${syms}" ] && ewarn "directories:${syms}"
-		ewarn "The ebuild will attempt to fix these, but only for trivial conversions."
-		ewarn "If things fail, you will need to manually create/move the directories."
-		echo
-	fi
-
-	# setup symlinks and dirs where we expect them to be; do not migrate
-	# data ... just fall over in that case.
-	if use split-usr ; then
-		prefix_lst=( "${EROOT}"/{,usr/,usr/local/} )
-	else
-		prefix_lst=( "${EROOT}"/{usr/,usr/local/} )
-	fi
-	for prefix in "${prefix_lst[@]}"; do
-		if [ "${SYMLINK_LIB}" = yes ] ; then
-			# we need to make sure "lib" points to the native libdir
-			if [ -h "${prefix}lib" ] ; then
-				# it's already a symlink!  assume it's pointing to right place ...
-				continue
-			elif [ -d "${prefix}lib" ] ; then
-				# "lib" is a dir, so need to convert to a symlink
-				ewarn "Converting ${prefix}lib from a dir to a symlink"
-				rm -f "${prefix}lib"/.keep || die
-				if rmdir "${prefix}lib" 2>/dev/null ; then
-					ln -s ${def_libdir} "${prefix}lib" || die
-				else
-					die "non-empty dir found where we needed a symlink: ${prefix}lib"
-				fi
-			else
-				# nothing exists, so just set it up sanely
-				ewarn "Initializing ${prefix}lib as a symlink"
-				mkdir -p "${prefix}" || die
-				rm -f "${prefix}lib" || die
-				ln -s ${def_libdir} "${prefix}lib" || die
-				mkdir -p "${prefix}${def_libdir}" || die #423571
-			fi
-		else
-			# we need to make sure "lib" is a dir
-			if [ -h "${prefix}lib" ] ; then
-				# "lib" is a symlink, so need to convert to a dir
-				ewarn "Converting ${prefix}lib from a symlink to a dir"
-				rm -f "${prefix}lib" || die
-				if [ -d "${prefix}lib32" ] ; then
-					ewarn "Migrating ${prefix}lib32 to ${prefix}lib"
-					mv "${prefix}lib32" "${prefix}lib" || die
-				else
-					mkdir -p "${prefix}lib" || die
-				fi
-			elif [ -d "${prefix}lib" ] && ! has lib32 ${libdirs} ; then
-				# make sure the old "lib" ABI location does not exist; we
-				# only symlinked the lib dir on systems where we moved it
-				# to "lib32" ...
-				case ${CHOST} in
-				i?86*|x86_64*|powerpc*|sparc*|s390*)
-					if [[ -d ${prefix}lib32 && ! -h ${prefix}lib32 ]] ; then
-						rm -f "${prefix}lib32"/.keep || die
-						if ! rmdir "${prefix}lib32" 2>/dev/null ; then
-							ewarn "You need to merge ${prefix}lib32 into ${prefix}lib"
-							die "non-empty dir found where there should be none: ${prefix}lib32"
-						fi
-					fi
-					;;
-				esac
-			else
-				# nothing exists, so just set it up sanely
-				ewarn "Initializing ${prefix}lib as a dir"
-				mkdir -p "${prefix}lib" || die
-			fi
-		fi
-	done
-	if ! use split-usr ; then
-		for libdir in ${libdirs}; do
-			if [[ ! -e "${EROOT}${libdir}" ]]; then
-				ln -s usr/"${libdir}" "${EROOT}${libdir}" ||
-					die "Unable to make ${EROOT}${libdir} symlink"
-			fi
-		done
-	fi
-}
-
-pkg_setup() {
-	multilib_layout
-}
-
-src_prepare() {
-	default
-
-	# don't want symlinked directories in PATH on systems with usr-merge
-	if ! use split-usr && ! use prefix-guest; then
-		sed \
-			-e 's|:/usr/sbin:|:|g' \
-			-e 's|:/sbin:|:|g' \
-			-e 's|:/bin:|:|g' \
-			-i etc/env.d/50baselayout || die
-	fi
-
-	if use prefix; then
-		hprefixify -e "/EUID/s,0,${EUID}," -q '"' etc/profile
-		hprefixify etc/shells share/passwd
-		hprefixify -w '/PATH=/' etc/env.d/50baselayout
-		hprefixify -w 1 etc/env.d/50baselayout
-		echo PATH=/usr/sbin:/sbin:/usr/bin:/bin >> etc/env.d/99host
-
-		# change branding
-		sed -i \
-			-e '/gentoo-release/s/Gentoo Base/Gentoo Prefix Base/' \
-			-e '/make_os_release/s/${OS}/Prefix/' \
-			Makefile || die
-	fi
-
-	# handle multilib paths.  do it here because we want this behavior
-	# regardless of the C library that you're using.  we do explicitly
-	# list paths which the native ldconfig searches, but this isn't
-	# problematic as it doesn't change the resulting ld.so.cache or
-	# take longer to generate.  similarly, listing both the native
-	# path and the symlinked path doesn't change the resulting cache.
-	local libdir ldpaths
-	for libdir in $(get_all_libdirs) ; do
-		if use split-usr || use prefix-guest; then
-			ldpaths+=":${EPREFIX}/${libdir}"
-		fi
-		ldpaths+=":${EPREFIX}/usr/${libdir}"
-		ldpaths+=":${EPREFIX}/usr/local/${libdir}"
-	done
-	echo "LDPATH='${ldpaths#:}'" >> etc/env.d/50baselayout
-}
-
-src_install() {
-	emake \
-		DESTDIR="${ED}" \
-		install
-
-	if [[ ${CHOST} == *-darwin* ]] ; then
-		# add SDK path which contains development manpages
-		echo "MANPATH=${EPREFIX}/MacOSX.sdk/usr/share/man" \
-			> "${ED}"/etc/env.d/98macos-sdk
-	fi
-
-	# need the makefile in pkg_preinst
-	insinto /usr/share/${PN}
-	doins Makefile
-
-	dodoc ChangeLog
-
-	# bug 858596
-	if use prefix-guest ; then
-		dodir sbin
-		cat > "${ED}"/sbin/runscript <<- EOF
-			#!/usr/bin/env sh
-			source "${EPREFIX}/lib/gentoo/functions.sh"
-
-			eerror "runscript/openrc-run not supported by Gentoo Prefix Base System release ${PV}" 1>&2
-			exit 1
-		EOF
-		chmod 755 "${ED}"/sbin/runscript || die
-		cp "${ED}"/sbin/{runscript,openrc-run} || die
-	fi
-}
-
-pkg_preinst() {
-	# We need to install directories and maybe some dev nodes when building
-	# stages, but they cannot be in CONTENTS.
-	# Also, we cannot reference $S as binpkg will break so we do this.
-	multilib_layout
-	if use build ; then
-		if use split-usr ; then
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout
-		else
-			emake -C "${ED}/usr/share/${PN}" DESTDIR="${EROOT}" layout-usrmerge
-		fi
-	fi
-	rm -f "${ED}"/usr/share/${PN}/Makefile || die
-
-	# Create symlinks in pkg_preinst to avoid Portage collision check.
-	# Create the symlinks in ${ED} via dosym so that we own it.
-	# Only create the symlinks if it wont cause a conflict in ${EROOT}.
-	if [[ -L ${EROOT}/var/lock || ! -e ${EROOT}/var/lock ]]; then
-		dosym ../run/lock /var/lock
-	fi
-	if [[ -L ${EROOT}/var/run || ! -e ${EROOT}/var/run ]]; then
-		dosym ../run /var/run
-	fi
-}
-
-pkg_postinst() {
-	local x
-
-	# We installed some files to /usr/share/baselayout instead of /etc to stop
-	# (1) overwriting the user's settings
-	# (2) screwing things up when attempting to merge files
-	# (3) accidentally packaging up personal files with quickpkg
-	# If they don't exist then we install them
-	for x in master.passwd passwd shadow group fstab ; do
-		[ -e "${EROOT}/etc/${x}" ] && continue
-		[ -e "${EROOT}/usr/share/baselayout/${x}" ] || continue
-		cp -p "${EROOT}/usr/share/baselayout/${x}" "${EROOT}"/etc || die
-	done
-
-	# Force shadow permissions to not be world-readable #260993
-	for x in shadow ; do
-		if [ -e "${EROOT}/etc/${x}" ] ; then
-			chmod o-rwx "${EROOT}/etc/${x}" || die
-		fi
-	done
-	# whine about users that lack passwords #193541
-	if [[ -e "${EROOT}"/etc/shadow ]] ; then
-		local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${EROOT}"/etc/shadow)
-		if [[ -n ${bad_users} ]] ; then
-			echo
-			ewarn "The following users lack passwords!"
-			ewarn ${bad_users}
-		fi
-	fi
-
-	# whine about users with invalid shells #215698
-	if [[ -e "${EROOT}"/etc/passwd ]] ; then
-		local bad_shells=$(awk -F: 'system("test -e ${ROOT}" $7) { print $1 " - " $7}' "${EROOT}"/etc/passwd | sort)
-		if [[ -n ${bad_shells} ]] ; then
-			echo
-			ewarn "The following users have non-existent shells!"
-			ewarn "${bad_shells}"
-		fi
-	fi
-
-	# https://bugs.gentoo.org/361349
-	if use kernel_linux; then
-		mkdir -p "${EROOT}"/run || die
-
-		local found fstype mountpoint
-		while read -r _ mountpoint fstype _; do
-		[[ ${mountpoint} = /run ]] && [[ ${fstype} = tmpfs ]] && found=1
-		done < "${ROOT}"/proc/mounts
-		[[ -z ${found} ]] &&
-			ewarn "You should reboot now to get /run mounted with tmpfs!"
-	fi
-
-	for x in ${REPLACING_VERSIONS}; do
-		if ver_test 2.4 -lt ${x}; then
-			ewarn "After updating ${EROOT}/etc/profile, please run"
-			ewarn "env-update && . /etc/profile"
-		fi
-
-		if ver_test 2.6 -lt ${x}; then
-			ewarn "Please run env-update then log out and back in to"
-			ewarn "update your path."
-		fi
-		# clean up after 2.5 typos
-		# https://bugs.gentoo.org/show_bug.cgi?id=656380
-		if [[ ${x} == 2.5 ]]; then
-			rm -fr "${EROOT}/{,usr" || die
-		fi
-	done
-
-	if [[ -e "${EROOT}"/etc/env.d/00basic ]]; then
-		ewarn "${EROOT}/etc/env.d/00basic is now ${EROOT}/etc/env.d/50baselayout"
-		ewarn "Please migrate your changes."
-	fi
-}


             reply	other threads:[~2023-08-21 22:47 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-21 22:47 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 19:54 [gentoo-commits] repo/gentoo:master commit in: sys-apps/baselayout/ Mike Gilbert
2024-11-04 19:52 Mike Gilbert
2024-11-03 23:37 Mike Gilbert
2024-04-30 18:52 Arthur Zamarin
2024-03-12  1:43 Mike Gilbert
2024-02-15 21:17 William Hubbs
2024-02-09 12:18 Andreas K. Hüttel
2024-02-08 17:37 Mike Gilbert
2023-12-15  7:14 Sam James
2023-11-12 10:38 Fabian Groffen
2023-08-22 16:09 William Hubbs
2023-08-22 16:09 William Hubbs
2023-08-19  6:23 Sam James
2023-07-18 22:41 Sam James
2023-07-18 22:41 Sam James
2023-07-18 22:41 Sam James
2023-07-09  1:32 Mike Gilbert
2023-07-09  1:32 Mike Gilbert
2023-07-05  0:41 Mike Gilbert
2023-03-04  5:34 Arthur Zamarin
2023-01-29  0:10 William Hubbs
2023-01-29  0:10 William Hubbs
2023-01-28 22:14 William Hubbs
2023-01-28 22:14 William Hubbs
2023-01-28 22:06 William Hubbs
2023-01-28 22:06 William Hubbs
2023-01-28 21:00 Mike Gilbert
2023-01-28  2:17 Mike Gilbert
2023-01-28  0:38 Mike Gilbert
2023-01-28  0:20 William Hubbs
2023-01-28  0:08 William Hubbs
2023-01-27 22:38 Mike Gilbert
2023-01-27 21:47 William Hubbs
2023-01-27 18:21 William Hubbs
2023-01-27 18:19 William Hubbs
2023-01-27 17:30 William Hubbs
2023-01-26  3:51 William Hubbs
2023-01-26  0:13 William Hubbs
2023-01-24 22:58 Andreas K. Hüttel
2023-01-04  6:37 William Hubbs
2023-01-04  6:21 William Hubbs
2022-11-14 21:03 Mike Gilbert
2022-11-14 20:26 Arthur Zamarin
2022-09-18 21:50 William Hubbs
2022-09-18  3:12 Mike Gilbert
2022-07-17 15:50 Fabian Groffen
2022-07-14 19:30 Fabian Groffen
2022-05-28 21:01 William Hubbs
2022-05-28 20:59 Jakov Smolić
2022-01-04 10:30 David Seifert
2022-01-04  3:29 Sam James
2021-11-15  9:27 Jakov Smolić
2021-09-29  0:19 William Hubbs
2021-09-28 17:59 William Hubbs
2021-09-27 22:09 William Hubbs
2021-09-27 20:58 William Hubbs
2021-09-27 20:38 William Hubbs
2021-09-27 20:10 William Hubbs
2021-09-27 18:28 William Hubbs
2021-09-25 22:37 William Hubbs
2021-09-24 23:15 William Hubbs
2021-09-24 21:16 William Hubbs
2021-09-24 19:11 William Hubbs
2021-06-12 19:43 Andreas K. Hüttel
2021-05-12 20:11 William Hubbs
2021-04-16 16:38 William Hubbs
2021-04-16 16:26 William Hubbs
2020-11-14 17:07 William Hubbs
2020-08-30 21:59 Sam James
2020-08-30 21:51 Sam James
2020-08-20 15:28 William Hubbs
2020-08-20 14:51 William Hubbs
2020-08-20 14:47 William Hubbs
2020-02-17  2:39 William Hubbs
2020-02-10  4:31 William Hubbs
2020-02-10  4:31 William Hubbs
2020-02-08 14:18 David Seifert
2019-10-16 18:29 William Hubbs
2019-05-04 18:36 Mikle Kolyada
2019-03-03 18:54 William Hubbs
2018-11-30 12:14 Jeroen Roovers
2018-11-12 11:13 Lars Wendler
2018-11-08  0:15 William Hubbs
2018-07-25 16:36 William Hubbs
2018-07-22 16:47 William Hubbs
2018-05-31 20:03 William Hubbs
2018-05-29  0:53 William Hubbs
2018-05-28 20:19 William Hubbs
2018-05-28 20:14 William Hubbs
2018-05-24 17:13 William Hubbs
2018-05-24 15:49 William Hubbs
2018-05-24  3:36 William Hubbs
2018-05-23 22:06 William Hubbs
2018-05-23 21:28 William Hubbs
2018-03-20 21:24 William Hubbs
2018-03-19 18:46 William Hubbs
2018-02-07 19:51 William Hubbs
2018-02-07  0:20 William Hubbs
2018-02-06 18:57 William Hubbs
2018-01-12  4:19 Mike Frysinger
2017-12-10 21:41 Michał Górny
2017-11-17 22:23 William Hubbs
2017-10-06 19:02 William Hubbs
2017-10-03 18:00 William Hubbs
2017-10-03 17:50 William Hubbs
2017-10-03 15:48 William Hubbs
2017-10-02 18:28 William Hubbs
2017-09-04  6:27 Benda XU
2017-08-09 18:59 Tim Harder
2017-08-09  9:19 Guilherme Amadio
2017-06-09 18:44 William Hubbs
2017-01-20 16:14 Mike Frysinger
2017-01-17 16:23 Lars Wendler
2016-12-21 11:23 Thomas Deutschmann
2016-12-17 10:15 Aaron Bauman
2016-10-26 16:44 Markus Meier
2016-10-12 10:08 Jeroen Roovers
2016-10-04  7:37 Tobias Klausmann
2016-09-03 11:06 Michał Górny
2016-09-03 11:06 Michał Górny
2016-09-01 21:44 William Hubbs
2016-08-24  1:26 William Hubbs
2016-06-30  3:00 Benda XU

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692658037.7d0228b796b1322e05ebc29a355d0f51d86edc37.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox